# Numerical languages

Interpreted languages for numerical computations and analysis

## Introduction

This section contains a collection of high-level interpreted languages, primarily intended for numerical computations.

## Matlab

MATLAB® is a high-level language and interactive environment for numerical computation, visualization, and programming.

```console
$ ml MATLAB/2015b-EDU
$ matlab
```

Read more at the [Matlab page](matlab/).

## Octave

GNU Octave is a high-level interpreted language, primarily intended for numerical computations. The Octave language is quite similar to Matlab so that most programs are easily portable.

```console
$ ml Octave
$ octave
```

Read more at the [Octave page](octave/).

## R

The R is an interpreted language and environment for statistical computing and graphics.

```console
$ ml R
$ R
```

Read more at the [R page](r/).
